Skip to content
GET /unified/hris/employee_compensations/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
  • debug returns the final unified result alongside raw remote fetch information. The response is an envelope containing result (identical to unified mode output) and debug (with requestUrl, requestOptions, data, responseHeaders, and for list operations: nextCursor, isLooping, isEmptyResult, resultCount). debug is null for static responses or when truto_skip_api_call=true.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstreamdebug
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

idstring
required·

The unique identifier for the compensation

2 supported
AlexisHR
supported
Humaans
supported
amountnumber

Represents the amount of the compensation. Can be a number or percentage.

2 supported
AlexisHR
supported
Humaans
supported
created_atstring · date-time

This represents the date when the compensation was created

2 supported
AlexisHR
supported
Humaans
supported
currencystring

Represents the currency of the compensation

2 supported
AlexisHR
supported
Humaans
supported
descriptionstring

The description of the compensation

1 supported
AlexisHR
supported
employeeobject

Employee associated with this compensation

References: Employees → id
2 supported
AlexisHR
supported
Humaans
supported
idstring

The unique identifier for employees

end_datestring · date-time

Represents the end date of the compensation

1 supported
Humaans
supported
end_reasonstring

Represents why the compensation ended

1 supported
Humaans
supported
payment_frequencystring

Represents how often the compensation is paid

Possible values:
hourlydailyweeklybiweeklymonthlyquarterlyannuallyfixedone_time
1 supported
AlexisHR
supported
periodstring

Represents the period of the compensation

Possible values:
hourlydailyweeklybiweeklymonthlyquarterlyannuallyfixedone_time
2 supported
AlexisHR
supported
Humaans
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

start_datestring · date-time

Represents the start date of the compensation

2 supported
AlexisHR
supported
Humaans
supported
statusstring

Represents the status of the compensation

Possible values:
activeinactive
typestring

The type of compensation

Possible values:
salaryhourlycommissionbonusequity
2 supported
AlexisHR
supported
Humaans
supported
updated_atstring · date-time

This represents the date when the compensation was updated

2 supported
AlexisHR
supported
Humaans
supported
curl -X GET 'https://api.truto.one/unified/hris/employee_compensations/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/hris/employee_compensations/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/hris/employee_compensations/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'hris',
  'employeecompensations',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "hris",
        "employeecompensations",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())